{-# LANGUAGE OverloadedStrings #-}

module Main where

import Network.HTTP.Client (newManager)
import Network.HTTP.Client.TLS (tlsManagerSettings)
import Servant.Client

import HAL (runSearchRequest)
import HAL.Client
import HAL.Doc
import Tree

main :: IO ()
main = do
  manager' <- newManager tlsManagerSettings
  res <- runSearchRequest $ ["ia"]
  case res of
    (Left err) -> print err
    (Right val) -> print $ _docs val
